Date: Thu,  9 Dec 2010 14:51:45 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.4.0RC1)
X-Rcs-Id: $Id: Help%2Ftext2pngPlugin 7757 2010-12-09 13:53:00Z vargenau $
Content-Type: application/x-phpwiki;
  pagename=Help%2Ftext2pngPlugin;
  flags=PAGE_LOCKED;
  markup=2;
  charset=UTF-8
Content-Transfer-Encoding: binary

Convert text into a png image using GD without using [WikiPluginCached|Help:WikiPlugin].
The images are stored in a private <PHPWIKI_DIR>/images/<LANG> subdirectory instead,
which are not timestamp checked at all. Delete the .png file(s) if you change anything.

This is a really simple and stupid plugin, which might need some work.

== Usage ==

{{{
<<text2png text="some text">>
}}}

== Arguments ==

text:
  some text to display
lang:
  language subdirectory
_force:
  set to 1 to recreate the image
fontsize:
  18. with GD1 it's the pixelsize, with GD2 the pointsize
with_shadow:
  1
fontcolor:
  #000000
shadowcolor:
  #AFAFAF
backcolor:
  #ffffff

=== Configurable Options ===

See the sourcecode. You'd probably need to adjust $ttfont and text2png_debug.

== Example ==

{{{
<<text2png text='Hello WikiWorld!'>>
}}}
would produce:
<<text2png text='Hello WikiWorld!'>>

== See Also ==
* [[Help:TeX2PngPlugin]]
* [[Help:TexToPngPlugin]]

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
